/* /Components/Cards/ClaimCard.razor.rz.scp.css */
.claim-card[b-cj53fcg51c] {
    width: 100%;
    height: 100%;
    cursor: pointer;
}

[b-cj53fcg51c] .top-card {
    border-radius: var(--rz-border-radius) var(--rz-border-radius) 0 0; /* Figma design value */
}

[b-cj53fcg51c] .bottom-card {
    border-top: none !important;
    border-radius: 0 0 var(--rz-border-radius) var(--rz-border-radius); /* Figma design value */
    cursor: pointer;
}

[b-cj53fcg51c] .claim-card-icon {
    padding: 8px;
    border-radius: 50px;
}

[b-cj53fcg51c] .rz-card.rz-variant-flat {
    background-color: var(--rz-primary-lighter);
}

    [b-cj53fcg51c] .rz-card.rz-variant-flat.top-card {
        border-bottom: 1px solid var(--rz-white);
    }

    [b-cj53fcg51c] .rz-card.rz-variant-flat .claim-card-icon {
        background-color: var(--rz-white);
    }

[b-cj53fcg51c] .rz-card.rz-variant-outlined {
    border: 1px solid var(--rz-primary-light);
    background-color: var(--rz-white);
}

    [b-cj53fcg51c] .rz-card.rz-variant-outlined .claim-card-icon {
        background-color: var(--rz-primary-light);
    }

[b-cj53fcg51c] .claim-detail-button {
    min-height: 45px; /* Figma design value */
    font-size: 20px; /* Figma design value */
    font-weight: normal;
}

[b-cj53fcg51c] .content-row .euclaim-icon {
    margin-bottom: .5rem;
}

[b-cj53fcg51c] .claim-card-title p {
    font-size: 18px;
}

@media (min-width: 1024px) {
    [b-cj53fcg51c] .claim-card-title p {
        font-size: 28px;
    }

    [b-cj53fcg51c] .icons {
        display: inline !important;
    }
}

@media (max-width: 575px) {
    [b-cj53fcg51c] .flight-card-title svg {
        width: 5vw !important;
    }
}

@media (max-width: 1023px) {
    [b-cj53fcg51c] .claim-card-buttons {
        display: flex;
        justify-content: flex-end;
    }
}
/* /Components/Cards/DocumentCard.razor.rz.scp.css */
[b-76lc62sav4] .rz-card {
    padding: 0.75rem;
}

    [b-76lc62sav4] .rz-card .rz-row > * {
        align-content: center;
        justify-content: center;
        align-self: center;
    }

[b-76lc62sav4] .rz-button {
    color: var(--rz-primary) !important;
    width: 100%;
    font-size: 1rem;
}

.icon-background[b-76lc62sav4] {
    background-color: var(--rz-primary-light);
    padding: 8px;
    border-radius: 100%;
    height: 100%;
}

[b-76lc62sav4] .icon-background + p {
    align-self: center;
}

[b-76lc62sav4] .document-title {
    font-size: 1.125rem;
    margin-top: 2px;
}
/* /Components/Cards/HelpdeskCard.razor.rz.scp.css */
[b-qxzlee6rxz] #helpdesk-card {
    border-color: var(--rz-primary-light);
    border-radius: .5rem;
    text-align: center;
}

[b-qxzlee6rxz] .helpdesk-image {
    width: 134px; /* Value from the Figma design */
    border-radius: 50%;
    border: 1px solid var(--rz-primary-light);
}

@media only screen and (max-width: 1023px) {
    [b-qxzlee6rxz] .helpdesk-image {
        width: 71px; /* Value from the Figma design */
    }
}

[b-qxzlee6rxz] .helpdesk-icon {
    margin: 1rem 0;
    font-size: 2rem;
}

[b-qxzlee6rxz] .helpdesk-button {
    padding: .75rem;
    font-size: 1rem;
    width: 100%;
}

[b-qxzlee6rxz] .rz-button-box {
    font-weight: normal;
}
/* /Components/Cards/PassengerCard.razor.rz.scp.css */
/*::deep *[class*="rz-col"] .text-primary {
    color: var(--rz-primary);
}*/

[b-keefi1xx20] *[class*="rz-col"].text-danger > * {
    color: var(--rz-danger);
}
[b-keefi1xx20] .rz-text-body1.text-danger {
    color: var(--rz-danger);
    font-family: "PFDINTextProLight";
}

[b-keefi1xx20] > .rz-card {
    padding: 1.625rem;
    border-color: var(--rz-primary-light);
}

    [b-keefi1xx20] > .rz-card .rz-badge {
        margin-bottom: 19px;
    }

    [b-keefi1xx20] > .rz-card > .rz-stack {
        margin-bottom: 19px;
    }

    [b-keefi1xx20] > .rz-card > .rz-button {
        margin-top: 19px;
        border-color: var(--rz-primary-light);
        box-shadow: inset 0 0 0 var(--rz-border-width) var(--rz-primary-light) !important; /* !important is needed to overwrite Radzen class styling */
    }

[b-keefi1xx20] .legal-representative-list {
    margin: 0;
    padding-left: 20px;
}
[b-keefi1xx20] li:has(p.text-danger) {
    color: var(--rz-danger);
}

[b-keefi1xx20] .title {
    font-size: 1rem;
}

.icon-background[b-keefi1xx20] {
    display: inline-block;
    color: white;
    border-radius: 50px;
    background-color: var(--rz-primary-light);
    padding: 6px;
    width: 36px;
    height: 36px;
}

[b-keefi1xx20] .icon-background > * {
    font-size: 1.25rem;
    width: 24px;
    height: 24px;
}

@media(min-width: 1024px) {
    [b-keefi1xx20] .title {
        font-size: 1.125rem;
    }

    .icon-background[b-keefi1xx20] {
        padding: 10px;
        width: 60px;
        height: 60px;
    }

    [b-keefi1xx20] .icon-background > * {
        font-size: 2rem;
        width: 40px;
        height: 40px;
    }
}
/* /Components/Cards/UploadDocumentCard.razor.rz.scp.css */
[b-j2wlsw3e7k] > .rz-card {
    padding: 0.5rem;
    min-height: 60px;
}

    [b-j2wlsw3e7k] > .rz-card > .rz-row > .rz-col > * {
        height: 100%;
    }

[b-j2wlsw3e7k] .euclaim-icon__background {
    width: 2.25rem;
    height: 2.25rem;
    padding: 0.5rem;
    border-radius: 100px;
    margin: 3px;
}

[b-j2wlsw3e7k] .document-title {
    font-size: 1.125rem;
    margin-top: 2px;
}

[b-j2wlsw3e7k] .upload-button {
    height: 44px;
    width: 100%;
    font-size: 1rem;
}

[b-j2wlsw3e7k] .dropzone {
    align-items: center;
    justify-content: center;
    font-size: 1.5rem;
    cursor: pointer;
    position: relative;
}

[b-j2wlsw3e7k] input[type=file],
[b-j2wlsw3e7k] input[type=file]::file-selector-button {
    position: absolute;
    width: 100%;
    height: 100%;
    opacity: 0;
    cursor: pointer;
}

/* Colors */
[b-j2wlsw3e7k] .action-required {
    border-color: var(--rz-danger) !important; /* Overwrite the default primary-light border color */
}

    [b-j2wlsw3e7k] .action-required .euclaim-icon {
        fill: var(--rz-white);
    }

    [b-j2wlsw3e7k] .action-required .euclaim-icon__background {
        background-color: var(--rz-danger);
    }

    [b-j2wlsw3e7k] .action-required .document-title {
        color: var(--rz-danger);
    }



[b-j2wlsw3e7k] .action-completed {
    border-color: var(--rz-primary-light);
}

    [b-j2wlsw3e7k] .action-completed .euclaim-icon {
        fill: var(--rz-primary);
    }

    [b-j2wlsw3e7k] .action-completed .euclaim-icon__background {
        background-color: var(--rz-primary-light);
    }

    [b-j2wlsw3e7k] .action-completed .document-title {
        color: var(--rz-primary);
    }
/* /Components/CommunicationTimeline/CommunicationTimelineCard.razor.rz.scp.css */
[b-mmllo1bjc2] .rz-card {
    padding: 1rem;
}

@media(min-width: 1024px) {
    [b-mmllo1bjc2] .rz-card {
        padding: 1.625rem;
    }
}

[b-mmllo1bjc2] .rz-badge {
    margin-bottom: 1.25rem;
}

    [b-mmllo1bjc2] .title {
        margin-bottom: 1rem;
        font-size: 1.5rem;
    }

[b-mmllo1bjc2] .rz-button {
    font-size: 1rem;
}

[b-mmllo1bjc2] .child-content {
    margin: 1rem 0 0.5rem;
}

[b-mmllo1bjc2] .child-documents {
    padding: 1rem;
}
/* /Components/CommunicationTimeline/CommunicationTimelineEmptySection.razor.rz.scp.css */
[b-z4seoanc12] .rz-card {
    padding: 1rem;
}

@media(min-width: 1024px) {
    [b-z4seoanc12] .rz-card {
        padding: 1.625rem;
    }
}

[b-z4seoanc12] .title {
    margin-bottom: 1rem;
    font-size: 1.5rem;
}

[b-z4seoanc12] .child-content {
    margin-top: 1rem;
}
/* /Components/CommunicationTimeline/DocumentActionCards/RequestApproveAddressChangeCard.razor.rz.scp.css */
[b-5v85nio98w] .address-header-bold {
    font-weight:200;
}
/* /Components/CommunicationTimeline/DocumentActionCards/RequestClaimCard.razor.rz.scp.css */
[b-fvxhk4yh6u] .message-header {
    font-size: 1.5rem;
    margin-bottom: 1rem;
}
/* /Components/CommunicationTimeline/DocumentActionCards/RequestMarkReadCard.razor.rz.scp.css */
[b-uxqihrjijj] .message-header {
    font-size: 1.5rem;
    margin-bottom: 1rem;
}
/* /Components/CommunicationTimeline/NestedCommunicationTimelineCard.razor.rz.scp.css */
[b-3em3armokn] .message-header {
    font-size: 1.5rem;
    margin-bottom: 1rem;
}
/* /Components/CommunicationTimeline/NestedCommunicationTimelineDocumentList.razor.rz.scp.css */
[b-e1jztg0bdm] {
    position: relative;
 
    }

  
/* /Components/Controls/LennocAllTasksCompleteCard.razor.rz.scp.css */
[b-bsg62r1boy] .euclaim-icon {
    width: 30%;
    height: 30%;
    margin-left: auto;
    margin-right: auto;
}
/* /Components/Controls/LennocBackLink.razor.rz.scp.css */
[b-28shfae2fm] .rz-link {
    font-size: 1.3rem;
    color: var(--rz-primary);
    transition: all 0.15s ease;
}

    [b-28shfae2fm] .rz-link i {
        margin-right: 1rem;
    }

    [b-28shfae2fm] .rz-link span {
        font-size: .75em;
    }

    [b-28shfae2fm] .rz-link:hover span {
        text-decoration: none;
    }

    [b-28shfae2fm] .rz-link:hover {
        color: var(--rz-secondary-dark);
    }
/* /Components/Controls/LennocIconBadge.razor.rz.scp.css */
[b-3t66fb079k] .rz-badge {
    /* Undo text boldification from Radzen */
    font-weight: normal;

    padding: 0.125rem 0.5rem;
}

    [b-3t66fb079k] .rz-badge .rz-stack {
        /* Undo text transformation from Radzen */
        text-transform: none;
    }

        [b-3t66fb079k] .rz-badge .rz-stack span {
            font-size: 14px;
            margin-top: 2px;
        }

        [b-3t66fb079k] .rz-badge .rz-stack i {
            font-size: 18px
        }

@media (min-width: 1024px) {
    [b-3t66fb079k] .rz-badge .rz-stack p {
        font-size: 16px;
    }

    [b-3t66fb079k] .rz-badge .rz-stack i {
        font-size: 20px
    }
}
[b-3t66fb079k] .badge-text-mobile {
    display: none;
}

/* Mobile Breakpoint: Hide full, show short */
@media (max-width: 767px) {
    [b-3t66fb079k] .badge-text-desktop {
        display: none;
    }

    [b-3t66fb079k] .badge-text-mobile {
        display: inline;
    }
}
/* /Components/Controls/LennocLanguageSelector.razor.rz.scp.css */
/* DESKTOP SETTINGS */
.language-selector-dropdown[b-ohhr5qh22s],
.language-selector-dropdown .rz-dropdown[b-ohhr5qh22s] {
    width: 140px;
}

.dropdown-item-wrapper[b-ohhr5qh22s] {
    display: flex;
    align-items: center;
    gap: 8px;
}

.flag-icon[b-ohhr5qh22s] {
    width: 22px;
    height: auto;
}

/* MOBILE SETTINGS (Screen < 768px) */
@media (max-width: 1023px) {
    .language-selector-dropdown[b-ohhr5qh22s] {
        /* Set width just for the flag */
        width: 50px !important;
    }

    /* HIDE THE CHEVRON COMPLETELY */
    [b-ohhr5qh22s] .rz-dropdown-trigger,
    [b-ohhr5qh22s] .rz-dropdown-trigger .notranslate {
        display: none !important;
        width: 0 !important;
    }
        [b-ohhr5qh22s] .rz-dropdown-trigger i {
            display: none !important;
        }

    /* CENTER THE FLAG */
    [b-ohhr5qh22s] .rz-dropdown-label {
        padding: 0 !important;
        display: flex !important;
        justify-content: center !important;
        align-items: center !important;
        width: 100% !important;
    }

    /* Ensure the internal text area doesn't force a minimum width */
    /*::deep .rz-helper-hidden-accessible {
        display: none !important;
    }*/
}
/* /Components/Controls/LennocReactInput.razor.rz.scp.css */
[b-sdg1vrdsy9] .rz-row .rz-stack {
    flex-direction: column-reverse !important; /* Mark as important to override Radzen styling */
}

@media(min-width: 768px) {
    [b-sdg1vrdsy9] .rz-row .rz-stack {
        flex-direction: row !important; /* Mark as important to override Radzen styling */
    }
}

[b-sdg1vrdsy9] textarea {
    resize: vertical;
    min-height: 100px;
}

[b-sdg1vrdsy9] textarea::placeholder {
    color: var(--rz-primary);
}

[b-sdg1vrdsy9] > .rz-card,
[b-sdg1vrdsy9] > .rz-button {
    margin-top: 1rem;
}

[b-sdg1vrdsy9] .rz-card .rz-button {
    width: 100%;
}

@media (min-width: 768px) {
    [b-sdg1vrdsy9] .rz-card .rz-button {
        width: auto;
    }
}
/* /Components/Controls/LennocReadMore.razor.rz.scp.css */
[b-5i96va1236] .readmore-text {
    line-height: 1.5em;
}

[b-5i96va1236] .full-content {
    margin-bottom: 0.5rem;
    transition: opacity 0.25s ease;
}

[b-5i96va1236] .readmore-link {
    color: var(--rz-primary);
    cursor: pointer;
    font-weight: 500;
    display: flex;
}


/* /Components/Controls/LennocTaskCard.razor.rz.scp.css */
[b-c665tfpj0x] .open-task {
    padding: 12px;
    transition: all 0.25s ease;
    border-color: var(--rz-danger);
    background-color: var(--rz-body-background-color);
    cursor: pointer;
}

    [b-c665tfpj0x] .open-task:hover {
        background-color: var(--rz-danger-lighter);
    }

    [b-c665tfpj0x] .open-task p {
        font-size: 1rem;
        padding-top: .25rem;
        color: var(--rz-danger);
    }

    [b-c665tfpj0x] .open-task i {
        color: var(--rz-danger);
        cursor: pointer;
    }

    [b-c665tfpj0x] .open-task .rz-stack .rz-stack i {
        padding: 18px;
        border-radius: 100px;
        color: var(--rz-white);
        background-color: var(--rz-danger);
    }

[b-c665tfpj0x] .open-task-chevron {
     font-size: 2rem;
}

@media(min-width: 1024px) {
    [b-c665tfpj0x] .open-task p {
        font-size: 1.25rem;
    }
}
/* /Components/Controls/LennocTile.razor.rz.scp.css */
[b-xjhl3p4geh] {
    text-decoration: none;
    height: 100%;
}

[b-xjhl3p4geh] .tile {
    height: 100%;
    min-height: 150px;
    max-height: 200px;
    min-width: 150px; /* Makes the card not squish when the page is very thin */
    cursor: pointer !important;
    display: flex;
    justify-content: center;
    border-color: var(--rz-primary-light);
    transition: all 0.2s ease-in-out;
}

[b-xjhl3p4geh] .tile:hover {
    background-color: var(--rz-primary-lighter);
}

[b-xjhl3p4geh] .tile .title {
    font-size: 1.25rem;
    text-align: center;
}

.icon-background[b-xjhl3p4geh] {
    display: inline-block;
    color: white;
    padding: 1rem 1rem;
    border-radius: 50px;
    background-color: var(--rz-primary-light);
}

[b-xjhl3p4geh] .euclaim-icon {
    width: 30px;
    height: 30px;
}
/* /Components/Controls/LennocTimeLine.razor.rz.scp.css */
.lennoc-timeline[b-04jmkwqt6a]  .rz-timeline-axis .euclaim-icon, .lennoc-timeline[b-04jmkwqt6a]  .rz-timeline-point {
    height: 1.5rem;
    width: 1.5rem;
}

.lennoc-timeline[b-04jmkwqt6a]  .rz-timeline .rz-timeline-axis {
    align-self: flex-start;
}

.lennoc-timeline[b-04jmkwqt6a]  .rz-timeline .rz-timeline-item {
    --rz-timeline-item-margin: 0.5rem;
    --rz-timeline-item-padding: 0px;
    margin: var(--rz-timeline-item-margin);
    padding: var(--rz-timeline-item-padding);
}

    .lennoc-timeline[b-04jmkwqt6a]  .rz-timeline .rz-timeline-item:before {
        --rz-timeline-point-size: 1.5rem;
        top: calc(var(--rz-timeline-point-size) + calc(var(--rz-timeline-item-margin) * 2));
        background-color: var(--rz-primary);
        border-radius: 0;
    }

    .lennoc-timeline[b-04jmkwqt6a]  .rz-timeline .rz-timeline-item:last-child:before {
        visibility: hidden; /* Hide the timeline for the last item */
    }
/* /Components/Dialogs/BankAccountEditorDialog.razor.rz.scp.css */
[b-bwc8gdnfu1] #PaypalOption .euclaim-icon {
    width: 100px;
    height: 33px;
}

.validation-summary[b-bwc8gdnfu1] {
    background-color: var(--rz-danger-lighter);
    border-left: 4px solid var(--rz-danger);
    padding: 10px;
    margin-bottom: 15px;
    border-radius: var(--rz-border-radius);
}

.error-message[b-bwc8gdnfu1] {
    color: var(--rz-danger);
    font-size: 14px;
}

[b-bwc8gdnfu1] {
    --rz-form-field-label-floating-top: -1.25rem;
    --rz-form-field-label-floating-background-color: transparent;
    --rz-input-placeholder-color: var(--rz-primary);
    --rz-input-border: 1px solid var(--rz-primary-light);
    --rz-dropdown-panel-border: 1px solid var(--rz-primary);
}

[b-bwc8gdnfu1] .rz-row > div[class*="rz-col"] > .rz-form-field {
    width: 100%; /* Make input field with 100%. */
}

[b-bwc8gdnfu1] .rz-row > div[class*="rz-col"] > .rz-form-field .rz-form-field-content {
    transition: border-color var(--rz-transition);
    border: 1px solid var(--rz-primary-light); /* Light border by default. */
    box-shadow: none; /* Removes the double border from selected fields. */
}

[b-bwc8gdnfu1] .rz-row > div[class*="rz-col"] > .rz-form-field .rz-form-field-content:hover,
[b-bwc8gdnfu1] .rz-row > div[class*="rz-col"] > .rz-form-field.rz-state-focused .rz-form-field-content {
    /* Blue border when field is hovered over or selected. */
    border-color: var(--rz-primary);
}

[b-bwc8gdnfu1] .rz-row > div[class*="rz-col"] > .rz-form-field .rz-form-field-content:has(.invalid) {
    /* If the form field contains an input with the .invalid class, the border becomes red. */
    border-color: var(--rz-danger);
}

[b-bwc8gdnfu1] .rz-row > div[class*="rz-col"] > .rz-form-field .rz-form-field-content input,
[b-bwc8gdnfu1] .rz-row > div[class*="rz-col"] > .rz-form-field .rz-form-field-content textarea,
[b-bwc8gdnfu1] .rz-row > div[class*="rz-col"] > .rz-form-field .rz-form-field-content div[class*="rz-dropdown"] {
    font-size: 1rem;
}

[b-bwc8gdnfu1] .rz-row > div[class*="rz-col"] > .rz-form-field .rz-form-field-content .rz-form-field-label {
    font-size: 1rem;
}

[b-bwc8gdnfu1] .rz-form-field .rz-form-field-helper .rz-message {
    margin-top: 2px;
}

/* /Components/Dialogs/DuplicateEMailAddressMessageDialog.razor.rz.scp.css */
.model-content[b-sswxi8s0z9] {
    height: 80vh;
    width: 100%;
}

img[b-sswxi8s0z9] {
    object-fit: contain;
}

img[b-sswxi8s0z9], iframe[b-sswxi8s0z9] {
    width: 100%;
    height: 90%;
}
/* /Components/Dialogs/FileViewerDialog.razor.rz.scp.css */
.model-content[b-r4dqf4pyge] {
    height: 80vh;
    width: 100%;
}

img[b-r4dqf4pyge] {
    object-fit: contain;
}

img[b-r4dqf4pyge], iframe[b-r4dqf4pyge] {
    width: 100%;
    height: 90%;
}
/* /Components/Dialogs/PassengerEditorDialog.razor.rz.scp.css */
[b-dnn9rg0igu] {
    --rz-form-field-label-floating-top: -1.25rem;
    --rz-form-field-label-floating-background-color: transparent;
    --rz-input-placeholder-color: var(--rz-primary);
    --rz-input-border: 1px solid var(--rz-primary-light);
    --rz-dropdown-panel-border: 1px solid var(--rz-primary);
}

    [b-dnn9rg0igu] .rz-row > div[class*="rz-col"] > .rz-form-field {
        width: 100%; /* Make input field with 100%. */
    }

        [b-dnn9rg0igu] .rz-row > div[class*="rz-col"] > .rz-form-field .rz-form-field-content {
            transition: border-color var(--rz-transition);
            border: 1px solid var(--rz-primary-light); /* Light border by default. */
            box-shadow: none; /* Removes the double border from selected fields. */
        }

            [b-dnn9rg0igu] .rz-row > div[class*="rz-col"] > .rz-form-field .rz-form-field-content:hover,
            [b-dnn9rg0igu] .rz-row > div[class*="rz-col"] > .rz-form-field.rz-state-focused .rz-form-field-content {
                /* Blue border when field is hovered over or selected. */
                border-color: var(--rz-primary);
            }

            [b-dnn9rg0igu] .rz-row > div[class*="rz-col"] > .rz-form-field .rz-form-field-content:has(.invalid) {
                /* If the form field contains an input with the .invalid class, the border becomes red. */
                border-color: var(--rz-danger);
            }

            [b-dnn9rg0igu] .rz-row > div[class*="rz-col"] > .rz-form-field .rz-form-field-content input,
            [b-dnn9rg0igu] .rz-row > div[class*="rz-col"] > .rz-form-field .rz-form-field-content textarea,
            [b-dnn9rg0igu] .rz-row > div[class*="rz-col"] > .rz-form-field .rz-form-field-content div[class*="rz-dropdown"] {
                font-size: 1rem;
            }

            [b-dnn9rg0igu] .rz-row > div[class*="rz-col"] > .rz-form-field .rz-form-field-content .rz-form-field-label {
                font-size: 1rem;
            }

    [b-dnn9rg0igu] .rz-form-field .rz-form-field-helper .rz-message {
        margin-top: 2px;
    }
    [b-dnn9rg0igu] .rz-form-field-content:hover .rz-dropdown.invalid {
        border-color: var(--rz-danger) !important;
    }
  
/* /Components/Dialogs/ReceiptUploadDialog.razor.rz.scp.css */
[b-zsjgj5g847] .rz-card {
    border-color: var(--rz-primary-light);
}

@media(max-width: 440px) {
    [b-zsjgj5g847] .document-title {
        font-size: 0.875rem;
    }
    [b-zsjgj5g847] .rz-button-text {
        font-size: 0.75rem;
    }
    [b-zsjgj5g847] .rz-dropdown-label.rz-inputtext {
        font-size: 0.875rem;
    }
}

/* /Components/Layouts/MainLayout.razor.rz.scp.css */
[b-zywviyh20z] .rz-header {
    box-shadow: none;
}

[b-zywviyh20z] .rz-body {
    width: var(--euclaim-content-width);
    margin: 1rem auto;
}

[b-zywviyh20z] .rz-layout {
    height: unset;
}

/* Override Blazor basic styling of full-width content on small screens */
@media (max-width: 1024px) {
    [b-zywviyh20z] .rz-layout:not(:has(>.rz-sidebar:nth-of-type(2))) .rz-header, 
    [b-zywviyh20z] .rz-layout:not(:has(>.rz-sidebar:nth-of-type(2))) .rz-footer, 
    [b-zywviyh20z] .rz-layout:not(:has(>.rz-sidebar:nth-of-type(2))) .rz-body {
        width: 90vw !important;
    }
}
/* /Components/Layouts/NavigationLayout.razor.rz.scp.css */
#navigation[b-62lq83lftb] {
    width: 100vw;
    box-shadow: none;
    background-color: var(--euclaim-background);
    border-bottom: 1px solid var(--rz-secondary);
    padding: 20px 0;
}

[b-62lq83lftb] .navigation-content {
    width: var(--euclaim-content-width);
    margin: 0 auto;
    height: inherit;
}

[b-62lq83lftb] .euclaim-logo {
    width: 190px;
}

[b-62lq83lftb] .navigation-link {
    margin: auto 0;
}

    [b-62lq83lftb] .navigation-link span {
        font-family: "PFDINTextProLight";
        font-size: 1.1rem;
        color: var(--rz-primary);
    }

    [b-62lq83lftb] .navigation-link:hover,
    [b-62lq83lftb] .navigation-link:hover i,
    [b-62lq83lftb] .navigation-link:hover span {
        color: var(--rz-secondary-dark);
        text-decoration: none;
    }

[b-62lq83lftb] .rzi {
    align-self: center;
    font-weight: bold;
}
/* /Components/Layouts/TopBarLayout.razor.rz.scp.css */
#top-bar[b-ltvayhx41o] {
    background-color: var(--rz-secondary);
    min-height: 40px;
    height: 40px;
    width: 100vw;
    box-shadow: none;
}

[b-ltvayhx41o] .top-bar-content {
    width: var(--euclaim-content-width);
    margin: 0 auto;
    height: inherit;
}

[b-ltvayhx41o] .top-bar-link {
    font-family: "PFDINTextProLight";
    font-size: 1rem;
    color: var(--rz-primary);
    margin: 0;
}

    [b-ltvayhx41o] .top-bar-link i {
        font-variation-settings: 'FILL' 1;
    }

    [b-ltvayhx41o] .top-bar-link:hover,
    [b-ltvayhx41o] .top-bar-link:hover i,
    [b-ltvayhx41o] .top-bar-link:hover span {
        color: var(--rz-secondary-dark);
        text-decoration: none;
    }
/* /Pages/ClaimDetailPage.razor.rz.scp.css */
.icon-background[b-r6xj8bb8q2] {
    display: inline-block;
    color: white;
    padding: 0.4rem 0.4rem;
    border-radius: 50px;
    background-color: var(--rz-primary-light);
}

[b-r6xj8bb8q2] .page-header .euclaim-icon {
    background-color: var(--rz-primary-light);
    padding: 10px 9px;
    width: 36px;
    height: 36px;
    border-radius: 100px;
}

[b-r6xj8bb8q2] .page-header p {
    font-size: 24px;
    margin-block: 0;
}

[b-r6xj8bb8q2] .status-card__title {
    margin: 0.75rem 0;
}

[b-r6xj8bb8q2] .status-card__body p {
    margin: 0;
}

@media(min-width: 768px) {
    [b-r6xj8bb8q2] .page-header p {
        font-size: 28px;
    }
}

/* Extra breakpoint to make the tile title fit in the smallest resolution */
@media(min-width: 576px) and (max-width: 700px) {
    [b-r6xj8bb8q2] .tiles .title {
        font-size: 1rem;
    }
}

@media(max-width: 440px) {
    [b-r6xj8bb8q2] .tiles .title {
        font-size: 0.875rem;
    }
}

[b-r6xj8bb8q2] .tiles {
    min-width: 288px;
}
/* /Pages/ClaimOverviewPage.razor.rz.scp.css */
[b-noghid668u] .rz-button.rz-variant-outlined.rz-primary.rz-carousel-prev {
    background-color: var(--rz-secondary);
    color: var(--rz-on-primary-lighter);
}

[b-noghid668u] .rz-button.rz-variant-outlined.rz-primary:not(.rz-state-disabled).rz-carousel-prev:hover {
    background-color: var(--rz-secondary-dark);
    color: var(--rz-primary-lighter);
}

[b-noghid668u] .rz-button.rz-variant-outlined.rz-primary.rz-carousel-next {
    background-color: var(--rz-secondary);
    color: var(--rz-on-primary-lighter);
}

[b-noghid668u] .rz-button.rz-variant-outlined.rz-primary:not(.rz-state-disabled).rz-carousel-next:hover {
    background-color: var(--rz-secondary-dark);
    color: var(--rz-primary-lighter);
}

@media (min-width: 1024px) {
    [b-noghid668u] .rz-carousel-items {
        display: inline;
    }

    [b-noghid668u] .rz-carousel-pager {
        display: none !important;
    }

    [b-noghid668u] .rz-carousel-prev {
        display: none !important;
    }

    [b-noghid668u] .rz-carousel-next {
        display: none !important;
    }
}
/* /Pages/CommunicationPage.razor.rz.scp.css */
@keyframes background-highlight-b-arwcwmoqyh {
    0% {
        background-color: none;
    }

    25% {
        background-color: var(--rz-danger-lighter);
    }

    75% {
        background-color: var(--rz-danger-lighter);
    }

    100% {
        background-color: none;
    }
}

[b-arwcwmoqyh] .highlight-background {
    animation: background-highlight-b-arwcwmoqyh 3s ease-in-out forwards;
}
/* /Pages/LoginPage.razor.rz.scp.css */
[b-3dde2oio56] #login-card {
    border-color: var(--rz-primary-light);
    border-radius: .5rem;
}

.validation-summary[b-3dde2oio56] {
    background-color: var(--rz-danger-lighter);
    border-left: 4px solid var(--rz-danger);
    padding: 10px;
    margin-top: 10px;
    border-radius: var(--rz-border-radius);
}

.error-message[b-3dde2oio56] {
    color: var(--rz-danger);
    font-size: 14px;
}

[b-3dde2oio56] .rz-login {
    flex-direction: column;
}

    [b-3dde2oio56] .rz-login .rz-form {
        width: 100%;
    }

        [b-3dde2oio56] .rz-login .rz-form .rz-form-row .rz-form-input-wrapper {
            flex: 100%;
        }

        [b-3dde2oio56] .rz-login .rz-form .rz-form-row .rz-label {
            flex: 1 8rem;
            font-size: 1rem;
        }

    [b-3dde2oio56] .rz-login .rz-login-buttons {
        justify-content: unset;
        gap: 1rem;
    }

        [b-3dde2oio56] .rz-login .rz-login-buttons .rz-button {
            font-weight: 500 !important;
            font-size: 1rem;
            min-height: 3rem;
            min-width: 100px;
        }

[b-3dde2oio56] .rz-link {
    color: var(--rz-primary);
    text-decoration: underline;
}

    [b-3dde2oio56] .rz-link:hover {
        color: var(--rz-primary);
        text-decoration: unset;
    }

@media (max-width: 575px) {
    [b-3dde2oio56] .rz-login .rz-login-buttons {
        justify-content: center !important;
    }

        [b-3dde2oio56] .rz-login .rz-login-buttons .rz-button {
            width: 100%;
            min-height: 2.8rem;
        }
}
/* /Pages/PassengerDetailPage.razor.rz.scp.css */
[b-w6i493vvuh] .add-passenger-button,
[b-w6i493vvuh] .download-passenger-button {
    float: right;
    font-size: 1rem;
    font-weight: 500;
    font-family: 'PFDINTextProLight';
    padding: 0.8rem;
    margin-top: 1rem;
}

[b-w6i493vvuh] .buttons-stack {
    --rz-gap: 0.5rem !important;
    margin-top: 15px;
}

@media (max-width: 1023px) {
    [b-w6i493vvuh] .add-passenger-button {
        width: 100%;
        margin-top: 0;
    }
    [b-w6i493vvuh] .download-passenger-button {
        width: 100%;
    }
    [b-w6i493vvuh] .buttons-stack {
        --rz-gap: 0 !important;
        margin-top: 0;
    }
}

@media (max-width: 575px){
    [b-w6i493vvuh] .passenger-card {
        display: inline !important;
    }
}
/* /Pages/TravelDocumentPage.razor.rz.scp.css */
[b-xa8aootyxy] .page-title {
    font-size: 1.5rem;
}

[b-xa8aootyxy] .page-content > .rz-card {
    border-color: var(--rz-primary-light);
}

[b-xa8aootyxy] .rz-dialog-title {
    font-size: clamp(1.3rem, 2.6vw, 1.7rem);
}

[b-xa8aootyxy] .rz-card {
    border-color: var(--rz-primary-light);
}

[b-xa8aootyxy] .rz-card .rz-badge {
    margin-bottom: 1.25rem;
}

[b-xa8aootyxy] .rz-card > .card-title {
    font-size: 1.5rem;
    margin-bottom: 0.75rem;
}

[b-xa8aootyxy] .rz-card > .card-body {
    font-size: 1rem;
    margin-bottom: 1.25rem;
}

[b-xa8aootyxy] .receipt-header {
    font-size: 1.25rem;
    margin: 2rem 0 1rem 0;
    display: flex;
    align-items: center;
    gap: 0.75rem;
}

@media(min-width: 1024px) {
    [b-xa8aootyxy] .page-title {
        font-size: 1.75rem;
    }

    [b-xa8aootyxy] .rz-card > .card-title {
        font-size: 1.75rem;
    }

    [b-xa8aootyxy] .receipt-header {
        font-size: 1.5rem;
    }
}
